### Function

# GExiv2 log_use_glib_logging

#### Declaration [src]

    void
    gexiv2_log_use_glib_logging (
      void
    )

#### Description [src]

Make GExiv2 use GLib’s logging mechanism.

When called, gexiv2 will install it’s own `GExiv2LogHandler` which redirects all Exiv2 and gexiv2 log messages to GLib’s logging calls (`g_debug()`, `g_message()`, `g_warning()`, and `g_critical()` for the respective `GExiv2LogLevel` value). `GEXIV2_LOG_LEVEL_MUTE` log messages are dropped.

One advantage to using this is that GLib’s logging control and handlers can be used rather than GExiv2’s ad hoc scheme. It also means an application can use GLib logging and have all its messages routed through the same calls.